> ## Documentation Index > Fetch the complete documentation index at: https://docs.validatar.com/llms.txt > Use this file to discover all available pages before exploring further. # Import Data Source Template > Imports a data source template ## OpenAPI ````json POST /api/v1/Authoring/data-source-template-file { "openapi": "3.0.4", "info": { "title": "Validatar API Documentation", "description": "# Overview\nThe Validatar Core website provides [REST](https://en.wikipedia.org/wiki/Representational_state_transfer) API access to the back-end functionality included in Validatar. This documentation provides the ability to call the API endpoints directly, provided a user is authorized to do so. If you do not currently have the Validatar app, visit the [Validatar home page](https://www.validatar.com/) to see details. If you are looking for the application documentation, visit the [Validatar application documentation page](https://docs.validatar.com/docs).\n\n\n\n# Scopes\n| Scope | Description |\n|----------------|-------------|\n| Authoring | The endpoints in Authoring provide configuration and creation operations. This includes operations such as creating folders or updating tests. |\n| Data Steward | The endpoints in Data Steward allow technical, custom, and lineage metadata ingestion at the data source, schema, table, and column levels. |\n| Execution | The endpoints in Execution allow executing standard/template tests or jobs. |\n| Catalog | The endpoints in Catalog allow retrieving technical, custom, and lineage metadata information at the data source, schema, table, and column levels. |\n| Reporting | The endpoints in Reporting allow retrieving a list of reports and executing reports. |\n| Security Admin | The endpoints in Security Admin allow configuring user groups and managing user permissions. |\n\n", "version": "v1" }, "servers": [ { "url": "https://training.cloud.validatar.com/core" } ], "tags": [ { "name": "Authoring" }, { "name": "Catalog" }, { "name": "Data Steward" }, { "name": "Execution" }, { "name": "Reporting" }, { "name": "Security Admin" } ], "paths": { "/api/v1/Authoring/data-source-template-file": { "post": { "tags": [ "Authoring" ], "summary": "Import Data Source Template", "description": "Imports a data source template", "requestBody": { "description": "Information about the data source template being imported", "content": { "application/json-patch+json": { "schema": { "$ref": "#/components/schemas/Configuration.Api.Models.v1.DataSourceTemplateImportRequest" } }, "application/json": { "schema": { "$ref": "#/components/schemas/Configuration.Api.Models.v1.DataSourceTemplateImportRequest" } }, "text/json": { "schema": { "$ref": "#/components/schemas/Configuration.Api.Models.v1.DataSourceTemplateImportRequest" } }, "application/*+json": { "schema": { "$ref": "#/components/schemas/Configuration.Api.Models.v1.DataSourceTemplateImportRequest" } } } }, "responses": { "200": { "description": "OK", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/Configuration.Api.Models.v1.DataSourceTemplateImportResult" } } } }, "400": { "description": "Bad Request", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/Configuration.Api.Models.v1.Common.ErrorListResponse" } } } } }, "security": [ {} ] } } }, "components": { "schemas": { "Configuration.Api.Models.v1.DataSourceTemplateImportRequest": { "title": "DataSourceTemplateImportRequest", "required": [ "contentBase64", "mimeType", "name" ], "type": "object", "properties": { "mimeType": { "minLength": 1, "type": "string", "description": "Mime type of the import file" }, "contentBase64": { "minLength": 1, "type": "string", "description": "Content of the import file formatted as a Base64 string" }, "name": { "minLength": 1, "type": "string", "description": "The name of the data source template being imported" }, "overwriteExisting": { "type": "boolean", "description": "Whether to overwrite the data source template if it already exists" } }, "additionalProperties": false }, "Configuration.Api.Models.v1.DataSourceTemplateImportResult": { "title": "DataSourceTemplateImportResult", "type": "object", "properties": { "id": { "type": "integer", "description": "The ID of the imported data source template", "format": "int32" }, "name": { "type": "string", "description": "The name of the imported data source template", "nullable": true } }, "additionalProperties": false }, "Configuration.Api.Models.v1.Common.ErrorListResponse": { "title": "ErrorListResponse", "type": "object", "properties": { "errors": { "type": "array", "items": { "type": "string" } } }, "additionalProperties": false } } } } ````